Subject: How to patch Ultrix 4.3 so postgres doesn't hang it?

From: [email-masked] (Dave Cottingham)
Date: Tue, 10 Aug 93 10:48:31 -0700

I'm going to install postgres 4.1 on our Decstation 5000 under Ultrix
4.3.  The setup notes say that a patch needs to be applied to the
system to keep postgres from hanging it up.  From the README in the
ftp directory on postgres.berkeley.edu and the setup manual I have
pieced together the following guesses.  Could someone who has done
this verify that the following statements are correct?

1)  Ultrix 4.3 will hang if you run postgres 4.1 on it.

2)  To patch ultrix 4.3, copy the file sm_machdep.o that is in the
postgres 4.1 distribution directory to /sys/MIPS/BINARY.  Perhaps
renaming the existing sm_machdep.o to something else rather than
overwriting it would be prudent.  Then configure and build a new
system in the usual way.

Thanks,
Dave Cottingham
[email-masked]